<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
    <Platforms>AnyCPU;x64</Platforms>
    <Nullable>disable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Migrations\20200406143818_init en.cs" />
    <Compile Remove="Migrations\20200406143818_init en.Designer.cs" />
    <Compile Remove="Migrations\20200422095734_test.cs" />
    <Compile Remove="Migrations\20200422095734_test.Designer.cs" />
    <Compile Remove="Migrations\20200424074637_datachannel.cs" />
    <Compile Remove="Migrations\20200424074637_datachannel.Designer.cs" />
    <Compile Remove="Migrations\20200424081012_datachannel1.cs" />
    <Compile Remove="Migrations\20200424081012_datachannel1.Designer.cs" />
    <Compile Remove="Migrations\20200427034540_add input_data_leval.cs" />
    <Compile Remove="Migrations\20200427034540_add input_data_leval.Designer.cs" />
    <Compile Remove="Migrations\20200427034713_add input_data_leval1.cs" />
    <Compile Remove="Migrations\20200427034713_add input_data_leval1.Designer.cs" />
    <Compile Remove="Migrations\20200427035117_add input_data_leval2.cs" />
    <Compile Remove="Migrations\20200427035117_add input_data_leval2.Designer.cs" />
    <Compile Remove="Migrations\20200429005103_add query input_data_leval.cs" />
    <Compile Remove="Migrations\20200429005103_add query input_data_leval.Designer.cs" />
    <Compile Remove="Migrations\20200511071603_add tree copy filed.cs" />
    <Compile Remove="Migrations\20200511071603_add tree copy filed.Designer.cs" />
    <Compile Remove="Migrations\20200512015547_scopes.cs" />
    <Compile Remove="Migrations\20200512015547_scopes.Designer.cs" />
    <Compile Remove="Migrations\20200512052817_add table type.cs" />
    <Compile Remove="Migrations\20200512052817_add table type.Designer.cs" />
    <Compile Remove="Migrations\20200512064642_add table T_BD_ENERGY_CLASS.cs" />
    <Compile Remove="Migrations\20200512064642_add table T_BD_ENERGY_CLASS.Designer.cs" />
    <Compile Remove="Migrations\20200512070203_industry.cs" />
    <Compile Remove="Migrations\20200512070203_industry.Designer.cs" />
    <Compile Remove="Migrations\20200512070420_add table use.cs" />
    <Compile Remove="Migrations\20200512070420_add table use.Designer.cs" />
    <Compile Remove="Migrations\20200512074557_add table T_BD_ENERGY_CLASS2.cs" />
    <Compile Remove="Migrations\20200512074557_add table T_BD_ENERGY_CLASS2.Designer.cs" />
    <Compile Remove="Migrations\20200512075919_enumtype.cs" />
    <Compile Remove="Migrations\20200512075919_enumtype.Designer.cs" />
    <Compile Remove="Migrations\20200512081803_add table T_BD_ENERGY_CLASS3.cs" />
    <Compile Remove="Migrations\20200512081803_add table T_BD_ENERGY_CLASS3.Designer.cs" />
    <Compile Remove="Migrations\20200512082634_enum.cs" />
    <Compile Remove="Migrations\20200512082634_enum.Designer.cs" />
    <Compile Remove="Migrations\20200512092351_userdepart.cs" />
    <Compile Remove="Migrations\20200512092351_userdepart.Designer.cs" />
    <Compile Remove="Migrations\20200512100134_add table T_BD_ENERGY_CLASS4.cs" />
    <Compile Remove="Migrations\20200512100134_add table T_BD_ENERGY_CLASS4.Designer.cs" />
    <Compile Remove="Migrations\20200513004741_add table T_BD_ENERGY_CLASS5.cs" />
    <Compile Remove="Migrations\20200513004741_add table T_BD_ENERGY_CLASS5.Designer.cs" />
    <Compile Remove="Migrations\20200513013411_add table T_BD_POLL_PROJ.cs" />
    <Compile Remove="Migrations\20200513013411_add table T_BD_POLL_PROJ.Designer.cs" />
    <Compile Remove="Migrations\20200513051804_fm move to base.cs" />
    <Compile Remove="Migrations\20200513051804_fm move to base.Designer.cs" />
    <Compile Remove="Migrations\20200513054828_add table T_BD_ENERGY_TYPE.cs" />
    <Compile Remove="Migrations\20200513054828_add table T_BD_ENERGY_TYPE.Designer.cs" />
    <Compile Remove="Migrations\20200513061545_add table picture.cs" />
    <Compile Remove="Migrations\20200513061545_add table picture.Designer.cs" />
    <Compile Remove="Migrations\20200513061717_add table T_BD_ENERGY_TYPE2.cs" />
    <Compile Remove="Migrations\20200513061717_add table T_BD_ENERGY_TYPE2.Designer.cs" />
    <Compile Remove="Migrations\20200513063527_add table T_BD_ENERGY_TYPE3.cs" />
    <Compile Remove="Migrations\20200513063527_add table T_BD_ENERGY_TYPE3.Designer.cs" />
    <Compile Remove="Migrations\20200513065637_add table picture_2.cs" />
    <Compile Remove="Migrations\20200513065637_add table picture_2.Designer.cs" />
    <Compile Remove="Migrations\20200513070808_add table picture_3.cs" />
    <Compile Remove="Migrations\20200513070808_add table picture_3.Designer.cs" />
    <Compile Remove="Migrations\20200513083122_timelife.cs" />
    <Compile Remove="Migrations\20200513083122_timelife.Designer.cs" />
    <Compile Remove="Migrations\20200513091936_add table T_BD_MEDIA_TYPE.cs" />
    <Compile Remove="Migrations\20200513091936_add table T_BD_MEDIA_TYPE.Designer.cs" />
    <Compile Remove="Migrations\20200513095850_add table picture_4.cs" />
    <Compile Remove="Migrations\20200513095850_add table picture_4.Designer.cs" />
    <Compile Remove="Migrations\20200513100543_add table picture_5.cs" />
    <Compile Remove="Migrations\20200513100543_add table picture_5.Designer.cs" />
    <Compile Remove="Migrations\20200513101114_add table picture_4.cs" />
    <Compile Remove="Migrations\20200513101114_add table picture_4.Designer.cs" />
    <Compile Remove="Migrations\20200513104210_add table picture_5.cs" />
    <Compile Remove="Migrations\20200513104210_add table picture_5.Designer.cs" />
    <Compile Remove="Migrations\20200514004602_add table T_FM_PRODUCT.cs" />
    <Compile Remove="Migrations\20200514004602_add table T_FM_PRODUCT.Designer.cs" />
    <Compile Remove="Migrations\20200514013930_add table T_FM_PRODUCT2.cs" />
    <Compile Remove="Migrations\20200514013930_add table T_FM_PRODUCT2.Designer.cs" />
    <Compile Remove="Migrations\20200514030803_add table T_FM_PRODUCT3.cs" />
    <Compile Remove="Migrations\20200514030803_add table T_FM_PRODUCT3.Designer.cs" />
    <Compile Remove="Migrations\20200514032350_update table T_FM_PRODUCT.cs" />
    <Compile Remove="Migrations\20200514032350_update table T_FM_PRODUCT.Designer.cs" />
    <Compile Remove="Migrations\20200514101927_add table T_FM_ENERY_VALUA_TIME.cs" />
    <Compile Remove="Migrations\20200514101927_add table T_FM_ENERY_VALUA_TIME.Designer.cs" />
    <Compile Remove="Migrations\20200514102218_add table equipment.cs" />
    <Compile Remove="Migrations\20200514102218_add table equipment.Designer.cs" />
    <Compile Remove="Migrations\20200515060601_update table T_FM_ENERY_VALUA_AMOUNT.cs" />
    <Compile Remove="Migrations\20200515060601_update table T_FM_ENERY_VALUA_AMOUNT.Designer.cs" />
    <Compile Remove="Migrations\20200515060831_update table T_FM_ENERY_VALUA_AMOUNT2.cs" />
    <Compile Remove="Migrations\20200515060831_update table T_FM_ENERY_VALUA_AMOUNT2.Designer.cs" />
    <Compile Remove="Migrations\20200515074818_add table T_FM_SRC_TAG.cs" />
    <Compile Remove="Migrations\20200515074818_add table T_FM_SRC_TAG.Designer.cs" />
    <Compile Remove="Migrations\20200515082903_add table T_FM_VAR.cs" />
    <Compile Remove="Migrations\20200515082903_add table T_FM_VAR.Designer.cs" />
    <Compile Remove="Migrations\20200515083224_update table T_FM_VAR.cs" />
    <Compile Remove="Migrations\20200515083224_update table T_FM_VAR.Designer.cs" />
    <Compile Remove="Migrations\20200515083936_add table equipment_2.cs" />
    <Compile Remove="Migrations\20200515083936_add table equipment_2.Designer.cs" />
    <Compile Remove="Migrations\20200515104550_update table T_FM_VAR2.cs" />
    <Compile Remove="Migrations\20200515104550_update table T_FM_VAR2.Designer.cs" />
    <Compile Remove="Migrations\20200515105313_add table equipment_3.cs" />
    <Compile Remove="Migrations\20200515105313_add table equipment_3.Designer.cs" />
    <Compile Remove="Migrations\20200516135543_add table applinceType.cs" />
    <Compile Remove="Migrations\20200516135543_add table applinceType.Designer.cs" />
    <Compile Remove="Migrations\20200518031019_add table T_FM_PRODUCT_PRICE.cs" />
    <Compile Remove="Migrations\20200518031019_add table T_FM_PRODUCT_PRICE.Designer.cs" />
    <Compile Remove="Migrations\20200518061335_add btn condition.cs" />
    <Compile Remove="Migrations\20200518061335_add btn condition.Designer.cs" />
    <Compile Remove="Migrations\20200518062419_update table T_FM_PRODUCT_CATEGORY.cs" />
    <Compile Remove="Migrations\20200518062419_update table T_FM_PRODUCT_CATEGORY.Designer.cs" />
    <Compile Remove="Migrations\20200518081245_update table T_FM_PRODUCT_CATEGORY2.cs" />
    <Compile Remove="Migrations\20200518081245_update table T_FM_PRODUCT_CATEGORY2.Designer.cs" />
    <Compile Remove="Migrations\20200518083731_add table appliance.cs" />
    <Compile Remove="Migrations\20200518083731_add table appliance.Designer.cs" />
    <Compile Remove="Migrations\20200518084651_update table T_FM_PRODUCT2.cs" />
    <Compile Remove="Migrations\20200518084651_update table T_FM_PRODUCT2.Designer.cs" />
    <Compile Remove="Migrations\20200518091645_update table T_FM_PRODUCT3.cs" />
    <Compile Remove="Migrations\20200518091645_update table T_FM_PRODUCT3.Designer.cs" />
    <Compile Remove="Migrations\20200518092413_update table T_FM_PRODUCT4.cs" />
    <Compile Remove="Migrations\20200518092413_update table T_FM_PRODUCT4.Designer.cs" />
    <Compile Remove="Migrations\20200519031304_test oneonone.cs" />
    <Compile Remove="Migrations\20200519031304_test oneonone.Designer.cs" />
    <Compile Remove="Migrations\20200519061158_update table T_FM_TEAM_PERSON.cs" />
    <Compile Remove="Migrations\20200519061158_update table T_FM_TEAM_PERSON.Designer.cs" />
    <Compile Remove="Migrations\20200519063822_update table T_FM_TEAM_PERSON2.cs" />
    <Compile Remove="Migrations\20200519063822_update table T_FM_TEAM_PERSON2.Designer.cs" />
    <Compile Remove="Migrations\20200519073517_update table T_FM_TEAM_PERSON3.cs" />
    <Compile Remove="Migrations\20200519073517_update table T_FM_TEAM_PERSON3.Designer.cs" />
    <Compile Remove="Migrations\20200519083846_update table T_FM_TEAM_PERSON4.cs" />
    <Compile Remove="Migrations\20200519083846_update table T_FM_TEAM_PERSON4.Designer.cs" />
    <Compile Remove="Migrations\20200520010536_add table appliance_2.cs" />
    <Compile Remove="Migrations\20200520010536_add table appliance_2.Designer.cs" />
    <Compile Remove="Migrations\20200520013122_add table T_FM_API.cs" />
    <Compile Remove="Migrations\20200520013122_add table T_FM_API.Designer.cs" />
    <Compile Remove="Migrations\20200520015247_update table T_FM_API2.cs" />
    <Compile Remove="Migrations\20200520015247_update table T_FM_API2.Designer.cs" />
    <Compile Remove="Migrations\20200520022752_add table appliance_3.cs" />
    <Compile Remove="Migrations\20200520022752_add table appliance_3.Designer.cs" />
    <Compile Remove="Migrations\20200520033328_update table T_FM_BASE_CONFIG.cs" />
    <Compile Remove="Migrations\20200520033328_update table T_FM_BASE_CONFIG.Designer.cs" />
    <Compile Remove="Migrations\20200520054939_update table T_FM_BASE_CONFIG2.cs" />
    <Compile Remove="Migrations\20200520054939_update table T_FM_BASE_CONFIG2.Designer.cs" />
    <Compile Remove="Migrations\20200520060319_treebase.cs" />
    <Compile Remove="Migrations\20200520060319_treebase.Designer.cs" />
    <Compile Remove="Migrations\20200520061622_update table T_FM_VAR3.cs" />
    <Compile Remove="Migrations\20200520061622_update table T_FM_VAR3.Designer.cs" />
    <Compile Remove="Migrations\20200520061927_update table T_FM_VAR4.cs" />
    <Compile Remove="Migrations\20200520061927_update table T_FM_VAR4.Designer.cs" />
    <Compile Remove="Migrations\20200520065250_treebase1.cs" />
    <Compile Remove="Migrations\20200520065250_treebase1.Designer.cs" />
    <Compile Remove="Migrations\20200520072958_add table meterNode.cs" />
    <Compile Remove="Migrations\20200520072958_add table meterNode.Designer.cs" />
    <Compile Remove="Migrations\20200520093420_update table T_FM_BASE_CONFIG3.cs" />
    <Compile Remove="Migrations\20200520093420_update table T_FM_BASE_CONFIG3.Designer.cs" />
    <Compile Remove="Migrations\20200520101128_update table meterNode.cs" />
    <Compile Remove="Migrations\20200520101128_update table meterNode.Designer.cs" />
    <Compile Remove="Migrations\20200521015655_update table T_FM_BASE_CONFIG4.cs" />
    <Compile Remove="Migrations\20200521015655_update table T_FM_BASE_CONFIG4.Designer.cs" />
    <Compile Remove="Migrations\20200521023358_update table appliance.cs" />
    <Compile Remove="Migrations\20200521023358_update table appliance.Designer.cs" />
    <Compile Remove="Migrations\20200521024320_update table T_FM_BASE_CONFIG5.cs" />
    <Compile Remove="Migrations\20200521024320_update table T_FM_BASE_CONFIG5.Designer.cs" />
    <Compile Remove="Migrations\20200521034450_update table T_FM_BASE_CONFIG6.cs" />
    <Compile Remove="Migrations\20200521034450_update table T_FM_BASE_CONFIG6.Designer.cs" />
    <Compile Remove="Migrations\20200521055356_update table T_FM_BASE_CONFIG7.cs" />
    <Compile Remove="Migrations\20200521055356_update table T_FM_BASE_CONFIG7.Designer.cs" />
    <Compile Remove="Migrations\20200522032906_update table T_FM_ENERY_VALUA2.cs" />
    <Compile Remove="Migrations\20200522032906_update table T_FM_ENERY_VALUA2.Designer.cs" />
    <Compile Remove="Migrations\20200522090404_add table T_BD_REDUCTION_FACTOR.cs" />
    <Compile Remove="Migrations\20200522090404_add table T_BD_REDUCTION_FACTOR.Designer.cs" />
    <Compile Remove="Migrations\20200525005442_add table T_FM_ENERY_CONSU_CONF.cs" />
    <Compile Remove="Migrations\20200525005442_add table T_FM_ENERY_CONSU_CONF.Designer.cs" />
    <Compile Remove="Migrations\20200528024631_update allClassNav.cs" />
    <Compile Remove="Migrations\20200528024631_update allClassNav.Designer.cs" />
    <Compile Remove="Migrations\20200528065905_add_ip.cs" />
    <Compile Remove="Migrations\20200528065905_add_ip.Designer.cs" />
    <Compile Remove="Migrations\20200528125512_add table T_DD_MSG_OPTIC.cs" />
    <Compile Remove="Migrations\20200528125512_add table T_DD_MSG_OPTIC.Designer.cs" />
    <Compile Remove="Migrations\20200529025102_update table T_FM_ENERY_CONSU_CONF2.cs" />
    <Compile Remove="Migrations\20200529025102_update table T_FM_ENERY_CONSU_CONF2.Designer.cs" />
    <Compile Remove="Migrations\20200529064401_update table T_FM_ENERY_CONSU_CONF3.cs" />
    <Compile Remove="Migrations\20200529064401_update table T_FM_ENERY_CONSU_CONF3.Designer.cs" />
    <Compile Remove="Migrations\20200529065239_add table msgOptic.cs" />
    <Compile Remove="Migrations\20200529065239_add table msgOptic.Designer.cs" />
    <Compile Remove="Migrations\20200529083913_update table T_FM_ENERY_CONSU_CONF4.cs" />
    <Compile Remove="Migrations\20200529083913_update table T_FM_ENERY_CONSU_CONF4.Designer.cs" />
    <Compile Remove="Migrations\20200601005007_update table T_FM_ENERY_CONSU_CONF5.cs" />
    <Compile Remove="Migrations\20200601005007_update table T_FM_ENERY_CONSU_CONF5.Designer.cs" />
    <Compile Remove="Migrations\20200601030032_update table T_FM_SRC_TAG2.cs" />
    <Compile Remove="Migrations\20200601030032_update table T_FM_SRC_TAG2.Designer.cs" />
    <Compile Remove="Migrations\20200601033839_update table T_BD_METER_NODE.cs" />
    <Compile Remove="Migrations\20200601033839_update table T_BD_METER_NODE.Designer.cs" />
    <Compile Remove="Migrations\20200601062930_add table T_FM_NODE_CALENDAR_CONFIG_DETAIL.cs" />
    <Compile Remove="Migrations\20200601062930_add table T_FM_NODE_CALENDAR_CONFIG_DETAIL.Designer.cs" />
    <Compile Remove="Migrations\20200601064645_update table T_FM_NODE_CALENDAR_CONFIG_DETAIL.cs" />
    <Compile Remove="Migrations\20200601064645_update table T_FM_NODE_CALENDAR_CONFIG_DETAIL.Designer.cs" />
    <Compile Remove="Migrations\20200601080651_add data fre.cs" />
    <Compile Remove="Migrations\20200601080651_add data fre.Designer.cs" />
    <Compile Remove="Migrations\20200602055751_update table T_FM_NODE_CALENDAR_CONFIG2.cs" />
    <Compile Remove="Migrations\20200602055751_update table T_FM_NODE_CALENDAR_CONFIG2.Designer.cs" />
    <Compile Remove="Migrations\20200602063217_update table T_FM_NODE_CALENDAR_CONFIG3.cs" />
    <Compile Remove="Migrations\20200602063217_update table T_FM_NODE_CALENDAR_CONFIG3.Designer.cs" />
    <Compile Remove="Migrations\20200602072618_add btn config.cs" />
    <Compile Remove="Migrations\20200602072618_add btn config.Designer.cs" />
    <Compile Remove="Migrations\20200602081204_update table T_FM_NODE_CALENDAR_CONFIG4.cs" />
    <Compile Remove="Migrations\20200602081204_update table T_FM_NODE_CALENDAR_CONFIG4.Designer.cs" />
    <Compile Remove="Migrations\20200602090038_treepic.cs" />
    <Compile Remove="Migrations\20200602090038_treepic.Designer.cs" />
    <Compile Remove="Migrations\20200602091817_btnadd_isdefault.cs" />
    <Compile Remove="Migrations\20200602091817_btnadd_isdefault.Designer.cs" />
    <Compile Remove="Migrations\20200602095253_add table T_EM_ENERGY_DOSAGE.cs" />
    <Compile Remove="Migrations\20200602095253_add table T_EM_ENERGY_DOSAGE.Designer.cs" />
    <Compile Remove="Migrations\20200604021225_update table T_FM_CALENDAR_CLASS.cs" />
    <Compile Remove="Migrations\20200604021225_update table T_FM_CALENDAR_CLASS.Designer.cs" />
    <Compile Remove="Migrations\20200604023855_update table T_FM_CALENDAR_CLASS2.cs" />
    <Compile Remove="Migrations\20200604023855_update table T_FM_CALENDAR_CLASS2.Designer.cs" />
    <Compile Remove="Migrations\20200604073723_add maxlen.cs" />
    <Compile Remove="Migrations\20200604073723_add maxlen.Designer.cs" />
    <Compile Remove="Migrations\20200604092944_add table T_FM_NODE_SCHEDULING_DETAIL.cs" />
    <Compile Remove="Migrations\20200604092944_add table T_FM_NODE_SCHEDULING_DETAIL.Designer.cs" />
    <Compile Remove="Migrations\20200605023146_update table T_FM_NODE_SCHEDULING_DETAIL.cs" />
    <Compile Remove="Migrations\20200605023146_update table T_FM_NODE_SCHEDULING_DETAIL.Designer.cs" />
    <Compile Remove="Migrations\20200605052326_imageFile.cs" />
    <Compile Remove="Migrations\20200605052326_imageFile.Designer.cs" />
    <Compile Remove="Migrations\20200606075059_add table T_EM_ENERGY_VAL.cs" />
    <Compile Remove="Migrations\20200606075059_add table T_EM_ENERGY_VAL.Designer.cs" />
    <Compile Remove="Migrations\20200606075358_add table T_EM_ENERGY_VAL_2.cs" />
    <Compile Remove="Migrations\20200606075358_add table T_EM_ENERGY_VAL_2.Designer.cs" />
    <Compile Remove="Migrations\20200608033021_update table T_FM_VAR5.cs" />
    <Compile Remove="Migrations\20200608033021_update table T_FM_VAR5.Designer.cs" />
    <Compile Remove="Migrations\20200608064457_add table T_EM_ENERGY_CAL_YEAR.cs" />
    <Compile Remove="Migrations\20200608064457_add table T_EM_ENERGY_CAL_YEAR.Designer.cs" />
    <Compile Remove="Migrations\20200608100148_update table T_FM_ENERY_VALUA.cs" />
    <Compile Remove="Migrations\20200608100148_update table T_FM_ENERY_VALUA.Designer.cs" />
    <Compile Remove="Migrations\20200609032345_update table T_FM_SRC_TAG.cs" />
    <Compile Remove="Migrations\20200609032345_update table T_FM_SRC_TAG.Designer.cs" />
    <Compile Remove="Migrations\20200609054735_update table T_FM_NODE_SCHEDULING.cs" />
    <Compile Remove="Migrations\20200609054735_update table T_FM_NODE_SCHEDULING.Designer.cs" />
    <Compile Remove="Migrations\20200609060236_update table T_FM_NODE_SCHEDULIN2.cs" />
    <Compile Remove="Migrations\20200609060236_update table T_FM_NODE_SCHEDULIN2.Designer.cs" />
    <Compile Remove="Migrations\20200609071420_updateT_FM_VAR_SUP.cs" />
    <Compile Remove="Migrations\20200609071420_updateT_FM_VAR_SUP.Designer.cs" />
    <Compile Remove="Migrations\20200609081941_add table T_EM_ENERGY_SETTING.cs" />
    <Compile Remove="Migrations\20200609081941_add table T_EM_ENERGY_SETTING.Designer.cs" />
    <Compile Remove="Migrations\20200610063748_update table T_FM_NODE_SCHEDULING3.cs" />
    <Compile Remove="Migrations\20200610063748_update table T_FM_NODE_SCHEDULING3.Designer.cs" />
    <Compile Remove="Migrations\20200610064944_update table T_FM_NODE_SCHEDULING4.cs" />
    <Compile Remove="Migrations\20200610064944_update table T_FM_NODE_SCHEDULING4.Designer.cs" />
    <Compile Remove="Migrations\20200610091956_add table T_BD_ENTHALPIES.cs" />
    <Compile Remove="Migrations\20200610091956_add table T_BD_ENTHALPIES.Designer.cs" />
    <Compile Remove="Migrations\20200611070651_update table T_BD_METER_NODE2.cs" />
    <Compile Remove="Migrations\20200611070651_update table T_BD_METER_NODE2.Designer.cs" />
    <Compile Remove="Migrations\20200611091155_addbtntype.cs" />
    <Compile Remove="Migrations\20200611091155_addbtntype.Designer.cs" />
    <Compile Remove="Migrations\20200615031611_update table T_EM_ENERGY_DOSAGE.cs" />
    <Compile Remove="Migrations\20200615031611_update table T_EM_ENERGY_DOSAGE.Designer.cs" />
    <Compile Remove="Migrations\20200615060111_update table T_BD_ENTHALPIES.cs" />
    <Compile Remove="Migrations\20200615060111_update table T_BD_ENTHALPIES.Designer.cs" />
    <Compile Remove="Migrations\20200615063855_update tbale T_EM_ENERGY_VAL_DAY.cs" />
    <Compile Remove="Migrations\20200615063855_update tbale T_EM_ENERGY_VAL_DAY.Designer.cs" />
    <Compile Remove="Migrations\20200616013331_update table T_FM_VAR6.cs" />
    <Compile Remove="Migrations\20200616013331_update table T_FM_VAR6.Designer.cs" />
    <Compile Remove="Migrations\20200616013640_update table T_FM_VAR7.cs" />
    <Compile Remove="Migrations\20200616013640_update table T_FM_VAR7.Designer.cs" />
    <Compile Remove="Migrations\20200617024636_update table T_EM_SRC_TAG_DATA2.cs" />
    <Compile Remove="Migrations\20200617024636_update table T_EM_SRC_TAG_DATA2.Designer.cs" />
    <Compile Remove="Migrations\20200617102903_update table T_FM_MONITORING.cs" />
    <Compile Remove="Migrations\20200617102903_update table T_FM_MONITORING.Designer.cs" />
    <Compile Remove="Migrations\20200617110555_updata table T_DD_MSG_OPTIC.cs" />
    <Compile Remove="Migrations\20200617110555_updata table T_DD_MSG_OPTIC.Designer.cs" />
    <Compile Remove="Migrations\20200617142815_update table T_DD_MSG_OPTIC_2.cs" />
    <Compile Remove="Migrations\20200617142815_update table T_DD_MSG_OPTIC_2.Designer.cs" />
    <Compile Remove="Migrations\20200618013522_update table T_BD_METER_NODE3.cs" />
    <Compile Remove="Migrations\20200618013522_update table T_BD_METER_NODE3.Designer.cs" />
    <Compile Remove="Migrations\20200618075217_T_BD_SYSTEM_INFO.cs" />
    <Compile Remove="Migrations\20200618075217_T_BD_SYSTEM_INFO.Designer.cs" />
    <Compile Remove="Migrations\20200618083102_UpdateTableT_PF_MENU.cs" />
    <Compile Remove="Migrations\20200618083102_UpdateTableT_PF_MENU.Designer.cs" />
    <Compile Remove="Migrations\20200622014524_update EM table to FM.cs" />
    <Compile Remove="Migrations\20200622014524_update EM table to FM.Designer.cs" />
    <Compile Remove="Migrations\20200622022013_update table T_EM_ENERGY_CONSUMPTION.cs" />
    <Compile Remove="Migrations\20200622022013_update table T_EM_ENERGY_CONSUMPTION.Designer.cs" />
    <Compile Remove="Migrations\20200622055834_update table T_BD_APPLIANCE_ATTR2.cs" />
    <Compile Remove="Migrations\20200622055834_update table T_BD_APPLIANCE_ATTR2.Designer.cs" />
    <Compile Remove="Migrations\20200622074432_update table T_EM_ENERGY_VAL2.cs" />
    <Compile Remove="Migrations\20200622074432_update table T_EM_ENERGY_VAL2.Designer.cs" />
    <Compile Remove="Migrations\20200622095536_update table T_BD_METER_APPLIANCE2.cs" />
    <Compile Remove="Migrations\20200622095536_update table T_BD_METER_APPLIANCE2.Designer.cs" />
    <Compile Remove="Migrations\20200622100919_update table T_BD_METER_APPLIANCE3.cs" />
    <Compile Remove="Migrations\20200622100919_update table T_BD_METER_APPLIANCE3.Designer.cs" />
    <Compile Remove="Migrations\20200623010121_add table T_KR_ALARM_TASK.cs" />
    <Compile Remove="Migrations\20200623010121_add table T_KR_ALARM_TASK.Designer.cs" />
    <Compile Remove="Migrations\20200623015014_update table T_FM_ENERY_VALUA_TIME2.cs" />
    <Compile Remove="Migrations\20200623015014_update table T_FM_ENERY_VALUA_TIME2.Designer.cs" />
    <Compile Remove="Migrations\20200623022000_update table T_KR_ALARM_TASK.cs" />
    <Compile Remove="Migrations\20200623022000_update table T_KR_ALARM_TASK.Designer.cs" />
    <Compile Remove="Migrations\20200623022904_update table T_KR_ALARM_TASK_2.cs" />
    <Compile Remove="Migrations\20200623022904_update table T_KR_ALARM_TASK_2.Designer.cs" />
    <Compile Remove="Migrations\20200623031603_ADD table T_BD_ENERGY_CLASS_ATTR.cs" />
    <Compile Remove="Migrations\20200623031603_ADD table T_BD_ENERGY_CLASS_ATTR.Designer.cs" />
    <Compile Remove="Migrations\20200623072239_update table T_KR_ALARM_PERSON.cs" />
    <Compile Remove="Migrations\20200623072239_update table T_KR_ALARM_PERSON.Designer.cs" />
    <Compile Remove="Migrations\20200624063952_add_table_T_EM_CAL_TASK.cs" />
    <Compile Remove="Migrations\20200624063952_add_table_T_EM_CAL_TASK.Designer.cs" />
    <Compile Remove="Migrations\20200624100908_add table T_FM_NOTICE.cs" />
    <Compile Remove="Migrations\20200624100908_add table T_FM_NOTICE.Designer.cs" />
    <Compile Remove="Migrations\20200624142918_update table T_FM_NOTICE.cs" />
    <Compile Remove="Migrations\20200624142918_update table T_FM_NOTICE.Designer.cs" />
    <Compile Remove="Migrations\20200626105804_update table T_KR_ALARM_CONFIG.cs" />
    <Compile Remove="Migrations\20200626105804_update table T_KR_ALARM_CONFIG.Designer.cs" />
    <Compile Remove="Migrations\20200626110141_update table T_KR_ALARM_CONFIG_2.cs" />
    <Compile Remove="Migrations\20200626110141_update table T_KR_ALARM_CONFIG_2.Designer.cs" />
    <Compile Remove="Migrations\20200628005853_update table T_FM_VAR8.cs" />
    <Compile Remove="Migrations\20200628005853_update table T_FM_VAR8.Designer.cs" />
    <Compile Remove="Migrations\20200628022448_update table T_PF_DATA_FREQUENCY.cs" />
    <Compile Remove="Migrations\20200628022448_update table T_PF_DATA_FREQUENCY.Designer.cs" />
    <Compile Remove="Migrations\20200628073415_add table T_EM_APPLIANCE_ATTR_GROUP_SHOW.cs" />
    <Compile Remove="Migrations\20200628073415_add table T_EM_APPLIANCE_ATTR_GROUP_SHOW.Designer.cs" />
    <Compile Remove="Migrations\20200628075759_update table T_BD_APPLIANCE4.cs" />
    <Compile Remove="Migrations\20200628075759_update table T_BD_APPLIANCE4.Designer.cs" />
    <Compile Remove="Migrations\20200628080448_update table T_BD_APPLIANCE5.cs" />
    <Compile Remove="Migrations\20200628080448_update table T_BD_APPLIANCE5.Designer.cs" />
    <Compile Remove="Migrations\20200628125229_add table T_BD_APPLIANCE_ATTR_GROUP_SHOW.cs" />
    <Compile Remove="Migrations\20200628125229_add table T_BD_APPLIANCE_ATTR_GROUP_SHOW.Designer.cs" />
    <Compile Remove="Migrations\20200629055014_T_DD_MSG_TASK.cs" />
    <Compile Remove="Migrations\20200629055014_T_DD_MSG_TASK.Designer.cs" />
    <Compile Remove="Migrations\20200706100454_add table T_PM_PRODUCT_PLAN.cs" />
    <Compile Remove="Migrations\20200706100454_add table T_PM_PRODUCT_PLAN.Designer.cs" />
    <Compile Remove="Migrations\20200707034708_add table T_FM_BASE_INFO.cs" />
    <Compile Remove="Migrations\20200707034708_add table T_FM_BASE_INFO.Designer.cs" />
    <Compile Remove="Migrations\20200707062932_add table T_ED_UNIT_USE.cs" />
    <Compile Remove="Migrations\20200707062932_add table T_ED_UNIT_USE.Designer.cs" />
    <Compile Remove="Migrations\20200709015936_add table UNIT_SET.cs" />
    <Compile Remove="Migrations\20200709015936_add table UNIT_SET.Designer.cs" />
    <Compile Remove="Migrations\20200709021123_update table T_FM_BASE_CONFIG8.cs" />
    <Compile Remove="Migrations\20200709021123_update table T_FM_BASE_CONFIG8.Designer.cs" />
    <Compile Remove="Migrations\20200709031513_update table UNIT_SET.cs" />
    <Compile Remove="Migrations\20200709031513_update table UNIT_SET.Designer.cs" />
    <Compile Remove="Migrations\20200710054821_add table T_ED_CONTROL_ORDER.cs" />
    <Compile Remove="Migrations\20200710054821_add table T_ED_CONTROL_ORDER.Designer.cs" />
    <Compile Remove="Migrations\20200710061628_update table T_ED_CONTROL_ORDER.cs" />
    <Compile Remove="Migrations\20200710061628_update table T_ED_CONTROL_ORDER.Designer.cs" />
    <Compile Remove="Migrations\20200710103339_update table T_FM_BASE_ADD2.cs" />
    <Compile Remove="Migrations\20200710103339_update table T_FM_BASE_ADD2.Designer.cs" />
    <Compile Remove="Migrations\20200713072744_update table T_FM_NOTICE_2.cs" />
    <Compile Remove="Migrations\20200713072744_update table T_FM_NOTICE_2.Designer.cs" />
    <Compile Remove="Migrations\20200713090648_update table T_BD_ENERGY_TYPE4.cs" />
    <Compile Remove="Migrations\20200713090648_update table T_BD_ENERGY_TYPE4.Designer.cs" />
    <Compile Remove="Migrations\20200713115239_update table T_PF_CODE_RULE.cs" />
    <Compile Remove="Migrations\20200713115239_update table T_PF_CODE_RULE.Designer.cs" />
    <Compile Remove="Migrations\20200714013041_update table T_ED_PRODUCT_BOOK.cs" />
    <Compile Remove="Migrations\20200714013041_update table T_ED_PRODUCT_BOOK.Designer.cs" />
    <Compile Remove="Migrations\20200714025913_update table T_FM_ENERY_CONSU_CONF6.cs" />
    <Compile Remove="Migrations\20200714025913_update table T_FM_ENERY_CONSU_CONF6.Designer.cs" />
    <Compile Remove="Migrations\20200714061239_update table T_BD_ENERGY_CLASS6.cs" />
    <Compile Remove="Migrations\20200714061239_update table T_BD_ENERGY_CLASS6.Designer.cs" />
    <Compile Remove="Migrations\20200714064836_update table T_BD_REDUCTION_FACTOR.cs" />
    <Compile Remove="Migrations\20200714064836_update table T_BD_REDUCTION_FACTOR.Designer.cs" />
    <Compile Remove="Migrations\20200714073224_update table T_BD_REDUCTION_FACTOR3.cs" />
    <Compile Remove="Migrations\20200714073224_update table T_BD_REDUCTION_FACTOR3.Designer.cs" />
    <Compile Remove="Migrations\20200714081517_update table T_FM_ENERY_CONSU_CONF7.cs" />
    <Compile Remove="Migrations\20200714081517_update table T_FM_ENERY_CONSU_CONF7.Designer.cs" />
    <Compile Remove="Migrations\20200714085141_update table T_BD_METER_APPLIANCE.cs" />
    <Compile Remove="Migrations\20200714085141_update table T_BD_METER_APPLIANCE.Designer.cs" />
    <Compile Remove="Migrations\20200714092126_add table T_ED_PROD_RECORD.cs" />
    <Compile Remove="Migrations\20200714092126_add table T_ED_PROD_RECORD.Designer.cs" />
    <Compile Remove="Migrations\20200715015812_add table T_ED_PROD_RECORD2.cs" />
    <Compile Remove="Migrations\20200715015812_add table T_ED_PROD_RECORD2.Designer.cs" />
    <Compile Remove="Migrations\20200715023102_add table T_ED_PROD_RECORD3.cs" />
    <Compile Remove="Migrations\20200715023102_add table T_ED_PROD_RECORD3.Designer.cs" />
    <Compile Remove="Migrations\20200715031253_add table T_ED_PROD_RECORD4.cs" />
    <Compile Remove="Migrations\20200715031253_add table T_ED_PROD_RECORD4.Designer.cs" />
    <Compile Remove="Migrations\20200715032433_add table T_ED_PROD_RECORD5.cs" />
    <Compile Remove="Migrations\20200715032433_add table T_ED_PROD_RECORD5.Designer.cs" />
    <Compile Remove="Migrations\20200715032703_add table T_ED_PROD_RECORD6.cs" />
    <Compile Remove="Migrations\20200715032703_add table T_ED_PROD_RECORD6.Designer.cs" />
    <Compile Remove="Migrations\20200715054531_add table T_ED_ENGERY_STORE.cs" />
    <Compile Remove="Migrations\20200715054531_add table T_ED_ENGERY_STORE.Designer.cs" />
    <Compile Remove="Migrations\20200715054905_add table T_ED_ENGERY_STORE_2.cs" />
    <Compile Remove="Migrations\20200715054905_add table T_ED_ENGERY_STORE_2.Designer.cs" />
    <Compile Remove="Migrations\20200715065103_update table T_BD_REDUCTION_FACTOR_2.cs" />
    <Compile Remove="Migrations\20200715065103_update table T_BD_REDUCTION_FACTOR_2.Designer.cs" />
    <Compile Remove="Migrations\20200715090309_add table T_ED_PROD_RECORD7.cs" />
    <Compile Remove="Migrations\20200715090309_add table T_ED_PROD_RECORD7.Designer.cs" />
    <Compile Remove="Migrations\20200715103239_update table T_PM_PRODUCT_PLAN_USE.cs" />
    <Compile Remove="Migrations\20200715103239_update table T_PM_PRODUCT_PLAN_USE.Designer.cs" />
    <Compile Remove="Migrations\20200716012456_update table T_ED_PRODUCT_UNIT_SET_DETAIL.cs" />
    <Compile Remove="Migrations\20200716012456_update table T_ED_PRODUCT_UNIT_SET_DETAIL.Designer.cs" />
    <Compile Remove="Migrations\20200716122812_update table T_ED_ENGERY_STORE.cs" />
    <Compile Remove="Migrations\20200716122812_update table T_ED_ENGERY_STORE.Designer.cs" />
    <Compile Remove="Migrations\20200717025049_add table T_ED_ENERGY_PURCHASE.cs" />
    <Compile Remove="Migrations\20200717025049_add table T_ED_ENERGY_PURCHASE.Designer.cs" />
    <Compile Remove="Migrations\20200717060056_subtableconditon.cs" />
    <Compile Remove="Migrations\20200717060056_subtableconditon.Designer.cs" />
    <Compile Remove="Migrations\20200717130742_update table T_ED_ENERGY_PURCHASE.cs" />
    <Compile Remove="Migrations\20200717130742_update table T_ED_ENERGY_PURCHASE.Designer.cs" />
    <Compile Remove="Migrations\20200721071149_add table T_BD_HMI.cs" />
    <Compile Remove="Migrations\20200721071149_add table T_BD_HMI.Designer.cs" />
    <Compile Remove="Migrations\20200721071351_add table T_BD_HMI_2.cs" />
    <Compile Remove="Migrations\20200721071351_add table T_BD_HMI_2.Designer.cs" />
    <Compile Remove="Migrations\20200721081140_getredisorderpage.cs" />
    <Compile Remove="Migrations\20200721081140_getredisorderpage.Designer.cs" />
    <Compile Remove="Migrations\20200721091543_getredisorderpage1.cs" />
    <Compile Remove="Migrations\20200721091543_getredisorderpage1.Designer.cs" />
    <Compile Remove="Migrations\20200721103209_update table T_BD_METER_NODE_21.cs" />
    <Compile Remove="Migrations\20200721103209_update table T_BD_METER_NODE_21.Designer.cs" />
    <Compile Remove="Migrations\20200721125603_update table T_BD_METER_NODE_22.cs" />
    <Compile Remove="Migrations\20200721125603_update table T_BD_METER_NODE_22.Designer.cs" />
    <Compile Remove="Migrations\20200723022248_addquery.cs" />
    <Compile Remove="Migrations\20200723022248_addquery.Designer.cs" />
    <Compile Remove="Migrations\20200724024901_update table T_ED_UNIT_USE.cs" />
    <Compile Remove="Migrations\20200724024901_update table T_ED_UNIT_USE.Designer.cs" />
    <Compile Remove="Migrations\20200724025150_update table T_ED_UNIT_USE2.cs" />
    <Compile Remove="Migrations\20200724025150_update table T_ED_UNIT_USE2.Designer.cs" />
    <Compile Remove="Migrations\20200726032635_update table T_PM_PRODUCT_PLAN.cs" />
    <Compile Remove="Migrations\20200726032635_update table T_PM_PRODUCT_PLAN.Designer.cs" />
    <Compile Remove="Migrations\20200728061631_add table T_QC_APPLIANCE_CHECK.cs" />
    <Compile Remove="Migrations\20200728061631_add table T_QC_APPLIANCE_CHECK.Designer.cs" />
    <Compile Remove="Migrations\20200728063847_update table T_QC_APPLIANCE_CHECK.cs" />
    <Compile Remove="Migrations\20200728063847_update table T_QC_APPLIANCE_CHECK.Designer.cs" />
    <Compile Remove="Migrations\20200728092807_update table T_BD_APPLIANCE6.cs" />
    <Compile Remove="Migrations\20200728092807_update table T_BD_APPLIANCE6.Designer.cs" />
    <Compile Remove="Migrations\20200803014951_add table T_ED_THRESHOLD_SET.cs" />
    <Compile Remove="Migrations\20200803014951_add table T_ED_THRESHOLD_SET.Designer.cs" />
    <Compile Remove="Migrations\20200803064039_add table T_BD_EQUIPMENT_BOOK.cs" />
    <Compile Remove="Migrations\20200803064039_add table T_BD_EQUIPMENT_BOOK.Designer.cs" />
    <Compile Remove="Migrations\20200803064454_update table T_BD_EQUIPMENT_BOOK.cs" />
    <Compile Remove="Migrations\20200803064454_update table T_BD_EQUIPMENT_BOOK.Designer.cs" />
    <Compile Remove="Migrations\20200804011956_update table T_BD_EQUIPMENT2.cs" />
    <Compile Remove="Migrations\20200804011956_update table T_BD_EQUIPMENT2.Designer.cs" />
    <Compile Remove="Migrations\20200804032854_update table T_BD_EQUIPMENT_BOOK2.cs" />
    <Compile Remove="Migrations\20200804032854_update table T_BD_EQUIPMENT_BOOK2.Designer.cs" />
    <Compile Remove="Migrations\20200804061834_addnavconfig.cs" />
    <Compile Remove="Migrations\20200804061834_addnavconfig.Designer.cs" />
    <Compile Remove="Migrations\20200806011200_delete table T_BD_ENERGY_CLASS_ATTR.cs" />
    <Compile Remove="Migrations\20200806011200_delete table T_BD_ENERGY_CLASS_ATTR.Designer.cs" />
    <Compile Remove="Migrations\20200806043634_update table T_BD_ENERGY_CLASS_12.cs" />
    <Compile Remove="Migrations\20200806043634_update table T_BD_ENERGY_CLASS_12.Designer.cs" />
    <Compile Remove="Migrations\20200806052358_update table T_BD_ENERGY_CLASS_13.cs" />
    <Compile Remove="Migrations\20200806052358_update table T_BD_ENERGY_CLASS_13.Designer.cs" />
    <Compile Remove="Migrations\20200806071727_update table T_BD_APPLIANCE_11.cs" />
    <Compile Remove="Migrations\20200806071727_update table T_BD_APPLIANCE_11.Designer.cs" />
    <Compile Remove="Migrations\20200807060839_add table T_EM_ENERGY_VAL_HOUR.cs" />
    <Compile Remove="Migrations\20200807060839_add table T_EM_ENERGY_VAL_HOUR.Designer.cs" />
    <Compile Remove="Migrations\20200811025813_addbtntableid.cs" />
    <Compile Remove="Migrations\20200811025813_addbtntableid.Designer.cs" />
    <Compile Remove="Migrations\20200811075331_update table T_FM_ENERY_VALUA3.cs" />
    <Compile Remove="Migrations\20200811075331_update table T_FM_ENERY_VALUA3.Designer.cs" />
    <Compile Remove="Migrations\20200811084110_filltable.cs" />
    <Compile Remove="Migrations\20200811084110_filltable.Designer.cs" />
    <Compile Remove="Migrations\20200811090856_update table T_FM_ENERY_VALUA_TIME3.cs" />
    <Compile Remove="Migrations\20200811090856_update table T_FM_ENERY_VALUA_TIME3.Designer.cs" />
    <Compile Remove="Migrations\20200811091219_update table T_FM_ENERY_VALUA_TIME4.cs" />
    <Compile Remove="Migrations\20200811091219_update table T_FM_ENERY_VALUA_TIME4.Designer.cs" />
    <Compile Remove="Migrations\20200818031221_update table T_FM_ENERY_VALUA_TIME.cs" />
    <Compile Remove="Migrations\20200818031221_update table T_FM_ENERY_VALUA_TIME.Designer.cs" />
    <Compile Remove="Migrations\20200819091758_clientlogin.cs" />
    <Compile Remove="Migrations\20200819091758_clientlogin.Designer.cs" />
    <Compile Remove="Migrations\20200820134412_update table T_EM_ENERGY_DOSAGE_DAY.cs" />
    <Compile Remove="Migrations\20200820134412_update table T_EM_ENERGY_DOSAGE_DAY.Designer.cs" />
    <Compile Remove="Migrations\20200825022902_addlogs.cs" />
    <Compile Remove="Migrations\20200825022902_addlogs.Designer.cs" />
    <Compile Remove="Migrations\20200825025513_update table T_EM_ENERGY_DOSAGE_MONTH.cs" />
    <Compile Remove="Migrations\20200825025513_update table T_EM_ENERGY_DOSAGE_MONTH.Designer.cs" />
    <Compile Remove="Migrations\20200828071106_addunu.cs" />
    <Compile Remove="Migrations\20200828071106_addunu.Designer.cs" />
    <Compile Remove="Migrations\20200831025451_addtablecbad.cs" />
    <Compile Remove="Migrations\20200831025451_addtablecbad.Designer.cs" />
    <Compile Remove="Migrations\20200831091245_add table T_QC_PROG.cs" />
    <Compile Remove="Migrations\20200831091245_add table T_QC_PROG.Designer.cs" />
    <Compile Remove="Migrations\20200831094657_add update T_QC_PROG.cs" />
    <Compile Remove="Migrations\20200831094657_add update T_QC_PROG.Designer.cs" />
    <Compile Remove="Migrations\20200902014340_addverify.cs" />
    <Compile Remove="Migrations\20200902014340_addverify.Designer.cs" />
    <Compile Remove="Migrations\20200902033959_addshowcard.cs" />
    <Compile Remove="Migrations\20200902033959_addshowcard.Designer.cs" />
    <Compile Remove="Migrations\20200902091309_addindex.cs" />
    <Compile Remove="Migrations\20200902091309_addindex.Designer.cs" />
    <Compile Remove="Migrations\20200902101933_deleteBehavior.cs" />
    <Compile Remove="Migrations\20200902101933_deleteBehavior.Designer.cs" />
    <Compile Remove="Migrations\20200902102652_deleteBehavior1.cs" />
    <Compile Remove="Migrations\20200902102652_deleteBehavior1.Designer.cs" />
    <Compile Remove="Migrations\20200903014716_update table T_FM_ENERY_CONSU_CONF.cs" />
    <Compile Remove="Migrations\20200903014716_update table T_FM_ENERY_CONSU_CONF.Designer.cs" />
    <Compile Remove="Migrations\20200903063104_update table T_FM_BASE_INFO.cs" />
    <Compile Remove="Migrations\20200903063104_update table T_FM_BASE_INFO.Designer.cs" />
    <Compile Remove="Migrations\20200904024420_changemaxtype.cs" />
    <Compile Remove="Migrations\20200904024420_changemaxtype.Designer.cs" />
    <Compile Remove="Migrations\20200905060212_add table T_BD_APPLIANCE_BOOK.cs" />
    <Compile Remove="Migrations\20200905060212_add table T_BD_APPLIANCE_BOOK.Designer.cs" />
    <Compile Remove="Migrations\20200905074354_update table T_BD_APPLIANCE_BOOK.cs" />
    <Compile Remove="Migrations\20200905074354_update table T_BD_APPLIANCE_BOOK.Designer.cs" />
    <Compile Remove="Migrations\20200905093407_add table T_BD_APPLIANCE_MAINTENANCE.cs" />
    <Compile Remove="Migrations\20200905093407_add table T_BD_APPLIANCE_MAINTENANCE.Designer.cs" />
    <Compile Remove="Migrations\20200905095059_update table T_BD_APPLIANCE_MAINTENANCE.cs" />
    <Compile Remove="Migrations\20200905095059_update table T_BD_APPLIANCE_MAINTENANCE.Designer.cs" />
    <Compile Remove="Migrations\20200907093101_update table T_FM_SRC_TAG_0907.cs" />
    <Compile Remove="Migrations\20200907093101_update table T_FM_SRC_TAG_0907.Designer.cs" />
    <Compile Remove="Migrations\20200908053327_update table T_BD_APPLIANCE.cs" />
    <Compile Remove="Migrations\20200908053327_update table T_BD_APPLIANCE.Designer.cs" />
    <Compile Remove="Migrations\20200908082811_update table T_BD_EQUIPMENT_MAINTENANCE.cs" />
    <Compile Remove="Migrations\20200908082811_update table T_BD_EQUIPMENT_MAINTENANCE.Designer.cs" />
    <Compile Remove="Migrations\20200909022046_update table T_BD_EQUIPMENT_CHANGE.cs" />
    <Compile Remove="Migrations\20200909022046_update table T_BD_EQUIPMENT_CHANGE.Designer.cs" />
    <Compile Remove="Migrations\20200909084755_update table T_BD_PICTURE.cs" />
    <Compile Remove="Migrations\20200909084755_update table T_BD_PICTURE.Designer.cs" />
    <Compile Remove="Migrations\20200909085503_update table T_BD_PICTURE_2.cs" />
    <Compile Remove="Migrations\20200909085503_update table T_BD_PICTURE_2.Designer.cs" />
    <Compile Remove="Migrations\20200910032645_add table T_FM_MANUAL_REPORT_2.cs" />
    <Compile Remove="Migrations\20200910032645_add table T_FM_MANUAL_REPORT_2.Designer.cs" />
    <Compile Remove="Migrations\20200910071523_update table T_PF_DATA_FREQUENCY_0910.cs" />
    <Compile Remove="Migrations\20200910071523_update table T_PF_DATA_FREQUENCY_0910.Designer.cs" />
    <Compile Remove="Migrations\20200910095357_var.cs" />
    <Compile Remove="Migrations\20200910095357_var.Designer.cs" />
    <Compile Remove="Migrations\20200911075104_addappid.cs" />
    <Compile Remove="Migrations\20200911075104_addappid.Designer.cs" />
    <Compile Remove="Migrations\20200912035814_add table T_BD_DEDUCT_APPLIANCE.cs" />
    <Compile Remove="Migrations\20200912035814_add table T_BD_DEDUCT_APPLIANCE.Designer.cs" />
    <Compile Remove="Migrations\20200914034912_screen.cs" />
    <Compile Remove="Migrations\20200914034912_screen.Designer.cs" />
    <Compile Remove="Migrations\20200914145544_update table T_EM_ENERGY_DOSAGE_DAY_0914.cs" />
    <Compile Remove="Migrations\20200914145544_update table T_EM_ENERGY_DOSAGE_DAY_0914.Designer.cs" />
    <Compile Remove="Migrations\20200915082127_update table T_BD_APPLIANCE_0915.cs" />
    <Compile Remove="Migrations\20200915082127_update table T_BD_APPLIANCE_0915.Designer.cs" />
    <Compile Remove="Migrations\20200916034128_addnav.cs" />
    <Compile Remove="Migrations\20200916034128_addnav.Designer.cs" />
    <Compile Remove="Migrations\20200916080821_addappida.cs" />
    <Compile Remove="Migrations\20200916080821_addappida.Designer.cs" />
    <Compile Remove="Migrations\20200916082123_add table T_EM_TRANSFER_HISTORY.cs" />
    <Compile Remove="Migrations\20200916082123_add table T_EM_TRANSFER_HISTORY.Designer.cs" />
    <Compile Remove="Migrations\20200916082154_addappidarel.cs" />
    <Compile Remove="Migrations\20200916082154_addappidarel.Designer.cs" />
    <Compile Remove="Migrations\20200917011625_pagetable.cs" />
    <Compile Remove="Migrations\20200917011625_pagetable.Designer.cs" />
    <Compile Remove="Migrations\20200917033210_planenergyset.cs" />
    <Compile Remove="Migrations\20200917033210_planenergyset.Designer.cs" />
    <Compile Remove="Migrations\20200918012249_version.cs" />
    <Compile Remove="Migrations\20200918012249_version.Designer.cs" />
    <Compile Remove="Migrations\20200924004307_energynode.cs" />
    <Compile Remove="Migrations\20200924004307_energynode.Designer.cs" />
    <Compile Remove="Migrations\20200928123117_update table T_BD_APPLIANCE_0928.cs" />
    <Compile Remove="Migrations\20200928123117_update table T_BD_APPLIANCE_0928.Designer.cs" />
    <Compile Remove="Migrations\20200928123730_update table T_BD_APPLIANCE_0928_2.cs" />
    <Compile Remove="Migrations\20200928123730_update table T_BD_APPLIANCE_0928_2.Designer.cs" />
    <Compile Remove="Migrations\20200929033822_update table T_BD_APPLIANCE_0929.cs" />
    <Compile Remove="Migrations\20200929033822_update table T_BD_APPLIANCE_0929.Designer.cs" />
    <Compile Remove="Migrations\20200929034254_update table T_BD_APPLIANCE_0929_2.cs" />
    <Compile Remove="Migrations\20200929034254_update table T_BD_APPLIANCE_0929_2.Designer.cs" />
    <Compile Remove="Migrations\20200930044053_updateenergynode.cs" />
    <Compile Remove="Migrations\20200930044053_updateenergynode.Designer.cs" />
    <Compile Remove="Migrations\20200930062108_addconfigtel.cs" />
    <Compile Remove="Migrations\20200930062108_addconfigtel.Designer.cs" />
    <Compile Remove="Migrations\20201010054100_updatetableT_FM_VAR1010.cs" />
    <Compile Remove="Migrations\20201010054100_updatetableT_FM_VAR1010.Designer.cs" />
    <Compile Remove="Migrations\20201010062319_updatetableT_FM_VAR10101.cs" />
    <Compile Remove="Migrations\20201010062319_updatetableT_FM_VAR10101.Designer.cs" />
    <Compile Remove="Migrations\20201010074303_sbas1.cs" />
    <Compile Remove="Migrations\20201010074303_sbas1.Designer.cs" />
    <Compile Remove="Migrations\20201010082531_sbas1122.cs" />
    <Compile Remove="Migrations\20201010082531_sbas1122.Designer.cs" />
    <Compile Remove="Migrations\20201014061528_update table T_FM_VAR_SUP.cs" />
    <Compile Remove="Migrations\20201014061528_update table T_FM_VAR_SUP.Designer.cs" />
    <Compile Remove="Migrations\20201016020954_add table T_EA_ENERGY_BLC_RATIO.cs" />
    <Compile Remove="Migrations\20201016020954_add table T_EA_ENERGY_BLC_RATIO.Designer.cs" />
    <Compile Remove="Migrations\20201016082757_addrate.cs" />
    <Compile Remove="Migrations\20201016082757_addrate.Designer.cs" />
    <Compile Remove="Migrations\20201017070345_addtreeshowmodel.cs" />
    <Compile Remove="Migrations\20201017070345_addtreeshowmodel.Designer.cs" />
    <Compile Remove="Migrations\20201018013918_add table T_EM_TRANSFER_VAR.cs" />
    <Compile Remove="Migrations\20201018013918_add table T_EM_TRANSFER_VAR.Designer.cs" />
    <Compile Remove="Migrations\20201020024045_picfilter.cs" />
    <Compile Remove="Migrations\20201020024045_picfilter.Designer.cs" />
    <Compile Remove="Migrations\20201020080800_add table T_KR_RUN_DAY.cs" />
    <Compile Remove="Migrations\20201020080800_add table T_KR_RUN_DAY.Designer.cs" />
    <Compile Remove="Migrations\20201021025853_changeformid.cs" />
    <Compile Remove="Migrations\20201021025853_changeformid.Designer.cs" />
    <Compile Remove="Migrations\20201022054557_updatetableT_FM_SRC_TAG1022.cs" />
    <Compile Remove="Migrations\20201022054557_updatetableT_FM_SRC_TAG1022.Designer.cs" />
    <Compile Remove="Migrations\20201024060436_addnum.cs" />
    <Compile Remove="Migrations\20201024060436_addnum.Designer.cs" />
    <Compile Remove="Migrations\20201026020751_update tabale T_BD_ENERGY_NODE.cs" />
    <Compile Remove="Migrations\20201026020751_update tabale T_BD_ENERGY_NODE.Designer.cs" />
    <Compile Remove="Migrations\20201026091617_update tabale T_KR_RUN_DAY.cs" />
    <Compile Remove="Migrations\20201026091617_update tabale T_KR_RUN_DAY.Designer.cs" />
    <Compile Remove="Migrations\20201028031216_update table T_BD_APPLIANCE_ATTR_GROUP_SHOW.cs" />
    <Compile Remove="Migrations\20201028031216_update table T_BD_APPLIANCE_ATTR_GROUP_SHOW.Designer.cs" />
    <Compile Remove="Migrations\20201029071706_update table T_EM_TRANSFER_HISTORY_1029.cs" />
    <Compile Remove="Migrations\20201029071706_update table T_EM_TRANSFER_HISTORY_1029.Designer.cs" />
    <Compile Remove="Migrations\20201029073813_forcevalida.cs" />
    <Compile Remove="Migrations\20201029073813_forcevalida.Designer.cs" />
    <Compile Remove="Migrations\20201030034300_update table T_ED_UNIT_USE_1030.cs" />
    <Compile Remove="Migrations\20201030034300_update table T_ED_UNIT_USE_1030.Designer.cs" />
    <Compile Remove="Migrations\20201030074843_add table T_ED_SCORE_CONFIG.cs" />
    <Compile Remove="Migrations\20201030074843_add table T_ED_SCORE_CONFIG.Designer.cs" />
    <Compile Remove="Migrations\20201103022930_update table T_ED_UNIT_USE_1103.cs" />
    <Compile Remove="Migrations\20201103022930_update table T_ED_UNIT_USE_1103.Designer.cs" />
    <Compile Remove="Migrations\20201103084249_as.cs" />
    <Compile Remove="Migrations\20201103084249_as.Designer.cs" />
    <Compile Remove="Migrations\20201113015200_addtreeconfig.cs" />
    <Compile Remove="Migrations\20201113015200_addtreeconfig.Designer.cs" />
    <Compile Remove="Migrations\20201119005233_addtreeselectcondition.cs" />
    <Compile Remove="Migrations\20201119005233_addtreeselectcondition.Designer.cs" />
    <Compile Remove="Migrations\20201119013728_addSELECT_CONDITION.cs" />
    <Compile Remove="Migrations\20201119013728_addSELECT_CONDITION.Designer.cs" />
    <Compile Remove="Migrations\20201119031247_addBaseConfig.cs" />
    <Compile Remove="Migrations\20201119031247_addBaseConfig.Designer.cs" />
    <Compile Remove="Migrations\20201123011701_update table T_BD_APPLIANCE_1123.cs" />
    <Compile Remove="Migrations\20201123011701_update table T_BD_APPLIANCE_1123.Designer.cs" />
    <Compile Remove="Migrations\20201126075358_addnosort.cs" />
    <Compile Remove="Migrations\20201126075358_addnosort.Designer.cs" />
    <Compile Remove="Migrations\20201127031949_addTreeLeavel.cs" />
    <Compile Remove="Migrations\20201127031949_addTreeLeavel.Designer.cs" />
    <Compile Remove="Migrations\20201203085349_addtitle.cs" />
    <Compile Remove="Migrations\20201203085349_addtitle.Designer.cs" />
    <Compile Remove="Migrations\20201208004823_addMenupermission.cs" />
    <Compile Remove="Migrations\20201208004823_addMenupermission.Designer.cs" />
    <Compile Remove="Migrations\20201208053704_addMenuPERMISON.cs" />
    <Compile Remove="Migrations\20201208053704_addMenuPERMISON.Designer.cs" />
    <Compile Remove="Migrations\20201208054806_updateMenuPERMISON.cs" />
    <Compile Remove="Migrations\20201208054806_updateMenuPERMISON.Designer.cs" />
    <Compile Remove="Migrations\20201208060510_updateMenuPERMBTN.cs" />
    <Compile Remove="Migrations\20201208060510_updateMenuPERMBTN.Designer.cs" />
    <Compile Remove="Migrations\20201208062625_addPermison.cs" />
    <Compile Remove="Migrations\20201208062625_addPermison.Designer.cs" />
    <Compile Remove="Migrations\20201208070828_updatePermison.cs" />
    <Compile Remove="Migrations\20201208070828_updatePermison.Designer.cs" />
    <Compile Remove="Migrations\20201208122241_updatePermisonBnt.cs" />
    <Compile Remove="Migrations\20201208122241_updatePermisonBnt.Designer.cs" />
    <Compile Remove="Migrations\20201210014522_removechangrework.cs" />
    <Compile Remove="Migrations\20201210014522_removechangrework.Designer.cs" />
    <Compile Remove="Migrations\20201210054701_deleteT_FM_ROLE_MENU_PERMISON.cs" />
    <Compile Remove="Migrations\20201210054701_deleteT_FM_ROLE_MENU_PERMISON.Designer.cs" />
    <Compile Remove="Migrations\20201210055133_deleteTestCodegrade.cs" />
    <Compile Remove="Migrations\20201210055133_deleteTestCodegrade.Designer.cs" />
    <Compile Remove="Migrations\20201214021832_addtreeliandong.cs" />
    <Compile Remove="Migrations\20201214021832_addtreeliandong.Designer.cs" />
    <Compile Remove="Migrations\20201215070304_updatetableenumitem1215.cs" />
    <Compile Remove="Migrations\20201215070304_updatetableenumitem1215.Designer.cs" />
    <Compile Remove="Migrations\20201216005437_srctagnamelen.cs" />
    <Compile Remove="Migrations\20201216005437_srctagnamelen.Designer.cs" />
    <Compile Remove="Migrations\20201216093733_AddOPMenuUser.cs" />
    <Compile Remove="Migrations\20201216093733_AddOPMenuUser.Designer.cs" />
    <Compile Remove="Migrations\20201217014153_update table T_EM_ENERGY_DOSAGE_DAY_1217.cs" />
    <Compile Remove="Migrations\20201217014153_update table T_EM_ENERGY_DOSAGE_DAY_1217.Designer.cs" />
    <Compile Remove="Migrations\20201217082809_updateOPUSER.cs" />
    <Compile Remove="Migrations\20201217082809_updateOPUSER.Designer.cs" />
    <Compile Remove="Migrations\20201221022702_addeditremark.cs" />
    <Compile Remove="Migrations\20201221022702_addeditremark.Designer.cs" />
    <Compile Remove="Migrations\20201223061338_add table T_EA_ENERGY_WRITE_OFF_NODE.cs" />
    <Compile Remove="Migrations\20201223061338_add table T_EA_ENERGY_WRITE_OFF_NODE.Designer.cs" />
    <Compile Remove="Migrations\20201223063323_update table T_BD_METER_NODE_1223.cs" />
    <Compile Remove="Migrations\20201223063323_update table T_BD_METER_NODE_1223.Designer.cs" />
    <Compile Remove="Migrations\20201223063409_AddTenantInfo.cs" />
    <Compile Remove="Migrations\20201223063409_AddTenantInfo.Designer.cs" />
    <Compile Remove="Migrations\20201223093308_update table T_EA_ENERGY_WRITE_OFF_SETTING.cs" />
    <Compile Remove="Migrations\20201223093308_update table T_EA_ENERGY_WRITE_OFF_SETTING.Designer.cs" />
    <Compile Remove="Migrations\20201224062015_update table T_EM_ENERGY_DOSAGE_DAY_1224.cs" />
    <Compile Remove="Migrations\20201224062015_update table T_EM_ENERGY_DOSAGE_DAY_1224.Designer.cs" />
    <Compile Remove="Migrations\20201224071400_update table T_EM_ENERGY_VAL_DAY_1224.cs" />
    <Compile Remove="Migrations\20201224071400_update table T_EM_ENERGY_VAL_DAY_1224.Designer.cs" />
    <Compile Remove="Migrations\20201224095321_prarent.cs" />
    <Compile Remove="Migrations\20201224095321_prarent.Designer.cs" />
    <Compile Remove="Migrations\20201225004145_menuleave.cs" />
    <Compile Remove="Migrations\20201225004145_menuleave.Designer.cs" />
    <Compile Remove="Migrations\20201225015457_AddFormRelation.cs" />
    <Compile Remove="Migrations\20201225015457_AddFormRelation.Designer.cs" />
    <Compile Remove="Migrations\20201225025520_chilrenmap.cs" />
    <Compile Remove="Migrations\20201225025520_chilrenmap.Designer.cs" />
    <Compile Remove="Migrations\20201229073547_add table T_FM_ROLE_DEPARTMENT.cs" />
    <Compile Remove="Migrations\20201229073547_add table T_FM_ROLE_DEPARTMENT.Designer.cs" />
    <Compile Remove="Migrations\20201230015607_addtableTEMMETERREADING1230.cs" />
    <Compile Remove="Migrations\20201230015607_addtableTEMMETERREADING1230.Designer.cs" />
    <Compile Remove="Migrations\20201230022014_update table T_BD_APPLIANCE_1230.cs" />
    <Compile Remove="Migrations\20201230022014_update table T_BD_APPLIANCE_1230.Designer.cs" />
    <Compile Remove="Migrations\20201230064236_updatetableTEMMETERREADING1230.cs" />
    <Compile Remove="Migrations\20201230064236_updatetableTEMMETERREADING1230.Designer.cs" />
    <Compile Remove="Migrations\20201230071326_addnodedepartment.cs" />
    <Compile Remove="Migrations\20201230071326_addnodedepartment.Designer.cs" />
    <Compile Remove="Migrations\20201230093341_addISRULE.cs" />
    <Compile Remove="Migrations\20201230093341_addISRULE.Designer.cs" />
    <Compile Remove="Migrations\20201230094552_updatetableTEMMETERREADING12301.cs" />
    <Compile Remove="Migrations\20201230094552_updatetableTEMMETERREADING12301.Designer.cs" />
    <Compile Remove="Migrations\20201230095558_dropnodedepartment.cs" />
    <Compile Remove="Migrations\20201230095558_dropnodedepartment.Designer.cs" />
    <Compile Remove="Migrations\20201231025330_addRemark.cs" />
    <Compile Remove="Migrations\20201231025330_addRemark.Designer.cs" />
    <Compile Remove="Migrations\20210105025131_update table T_EM_TRANSFER_HISTORY_0105.cs" />
    <Compile Remove="Migrations\20210105025131_update table T_EM_TRANSFER_HISTORY_0105.Designer.cs" />
    <Compile Remove="Migrations\20210122090130_addversiontemplate.cs" />
    <Compile Remove="Migrations\20210122090130_addversiontemplate.Designer.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="APT.Infrastructure.Api" Version="2.0.2.15" />
    <PackageReference Include="APT.Infrastructure.Core" Version="2.1.2.26" />
    <PackageReference Include="APT.Infrastructure.EF" Version="2.1.2.83" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\APT.BaseData.Data\APT.BaseData.Data.csproj" />
    <ProjectReference Include="..\APT.ECM.Data\APT.ECM.Data.csproj" />
  </ItemGroup>

</Project>
